summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Christophe Nguyen <cnguyenminhtan@free.fr>2010-05-11 19:44:36 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:44:36 +0200
commit9297ea606461d9e227c321614916883ef5dcd94f (patch)
tree6a6c8e3a5bff29335f86f789abf0d2da403269b3 /games
parent0e59afff42b80dfe877acdc5549dffba73273dc1 (diff)
downloadslackbuilds-9297ea606461d9e227c321614916883ef5dcd94f.tar.gz
slackbuilds-9297ea606461d9e227c321614916883ef5dcd94f.tar.xz
games/ksudoku: Updated for version 0.4
Diffstat (limited to 'games')
-rw-r--r--games/ksudoku/README9
-rw-r--r--games/ksudoku/ksudoku.SlackBuild59
-rw-r--r--games/ksudoku/ksudoku.info12
-rw-r--r--games/ksudoku/slack-desc2
4 files changed, 35 insertions, 47 deletions
diff --git a/games/ksudoku/README b/games/ksudoku/README
index bb9ac80d72..c70d38b271 100644
--- a/games/ksudoku/README
+++ b/games/ksudoku/README
@@ -1,6 +1,7 @@
-ksudoku is a full-featured Sudoku puzzle generator and solver for KDE. With it, you can
-generate and play 3D and 2D puzzles of different sizes and levels, and the GUI is good
-for playing, saving, printing, solving and dubbing puzzles. The main algorithm is fast
-and extendable to any general graph coloring problem.
+ksudoku is a full-featured Sudoku puzzle generator and solver for KDE. With it,
+you can generate and play 3D and 2D puzzles of different sizes and levels,
+and the GUI is good for playing, saving, printing, solving and dubbing
+puzzles. The main algorithm is fast and extendable to any general graph
+coloring problem.
This requires OpenGL.
diff --git a/games/ksudoku/ksudoku.SlackBuild b/games/ksudoku/ksudoku.SlackBuild
index b96673983e..6bead1f9ff 100644
--- a/games/ksudoku/ksudoku.SlackBuild
+++ b/games/ksudoku/ksudoku.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ksudoku
-# Copyright 2006 Halim Issa <yallaone@gmail.com>
+# Copyright 2007 Christophe Nguyen <cnguyenminhtan@free.fr>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,65 +22,52 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Slightly ammended by the slackbuilds.org project.
+
PRGNAM=ksudoku
-VERSION=0.3
+VERSION=0.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO VERSION"
+DOCS="AUTHORS COPYING ChangeLog INSTALL README TODO VERSION"
-case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- ;;
- i686) SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- ;;
- s390) SLKCFLAGS="-O2"
- ;;
- powerpc) SLKCFLAGS="-O2"
- ;;
- x86_64) SLKCFLAGS="-O2 -fPIC"
- SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
- ;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
- ;;
-esac
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go-w+r .
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/opt/kde \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --disable-debug \
- || exit 1
+cmake \
+ -DCMAKE_C_FLAGS:STRING="${SLKCFLAGS}" \
+ -DCMAKE_CXX_FLAGS:STRING="${SLKCFLAGS}" \
+ -DCMAKE_INSTALL_PREFIX=/usr . || exit 1
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make VERBOSE=1
+make install VERBOSE=1 DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chmod -R 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
-if [ -d $PKG/opt/kde/share/man ]; then
- ( cd $PKG/opt/kde/share/man
- find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
- )
-fi
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/games/ksudoku/ksudoku.info b/games/ksudoku/ksudoku.info
index 50f2c60f6d..e83ed85b71 100644
--- a/games/ksudoku/ksudoku.info
+++ b/games/ksudoku/ksudoku.info
@@ -1,8 +1,8 @@
PRGNAM="ksudoku"
-VERSION="0.3"
+VERSION="0.4"
HOMEPAGE="http://ksudoku.sourceforge.net/"
-DOWNLOAD="http://dl.sourceforge.net/ksudoku/ksudoku-0.3.tar.gz"
-MD5SUM="d5fe20e9deda671dd15340f43ab4c4a3"
-MAINTAINER="Yalla-One"
-EMAIL="yallaone@gmail.com"
-APPROVED="robw810"
+DOWNLOAD="http://downloads.sourceforge.net/ksudoku/ksudoku-0.4.tar.gz"
+MD5SUM="418f9ecac5756f7bc79863596dee7f34"
+MAINTAINER="Christophe Nguyen"
+EMAIL="cnguyenminhtan@free.fr"
+APPROVED="BP{k}"
diff --git a/games/ksudoku/slack-desc b/games/ksudoku/slack-desc
index 602134c59a..6e33337ab6 100644
--- a/games/ksudoku/slack-desc
+++ b/games/ksudoku/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
ksudoku: ksudoku (sudoku puzzle for KDE)
ksudoku:
ksudoku: ksudoku is a full-featured Sudoku puzzle generator and solver for